Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class ValueBindingValueExpressionAdaptor

    java.lang.Object
      javax.faces.el.ValueBinding
          org.richfaces.component.ValueBindingValueExpressionAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class ValueBindingValueExpressionAdaptor

extends javax.faces.el.ValueBinding
implements javax.faces.component.StateHolder

Author:
  Maksim Kaszynski

Constructor Summary
`ValueBindingValueExpressionAdaptor()`
`ValueBindingValueExpressionAdaptor(javax.el.ValueExpression expression)`

Method Summary
`javax.el.ValueExpression` | `getExpression()`
`java.lang.Class<?>` | `getType(javax.faces.context.FacesContext context)`
`java.lang.Object` | `getValue(javax.faces.context.FacesContext context)`
`boolean` | `isReadOnly(javax.faces.context.FacesContext context)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setExpression(javax.el.ValueExpression expression)`
`void` | `setTransient(boolean newTransientValue)`
`void` | `setValue(javax.faces.context.FacesContext context, java.lang.Object value)`

Methods inherited from class javax.faces.el.ValueBinding
`getExpressionString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBindingValueExpressionAdaptor

    public ValueBindingValueExpressionAdaptor()

### ValueBindingValueExpressionAdaptor

    public ValueBindingValueExpressionAdaptor(javax.el.ValueExpression expression)

Method Detail

### getType

    public java.lang.Class<?> getType(javax.faces.context.FacesContext context)
                               throws javax.faces.el.EvaluationException

  Specified by:
    `getType` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`

### getValue

    public java.lang.Object getValue(javax.faces.context.FacesContext context)
                              throws javax.faces.el.EvaluationException

  Specified by:
    `getValue` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`

### isReadOnly

    public boolean isReadOnly(javax.faces.context.FacesContext context)
                       throws javax.faces.el.EvaluationException

  Specified by:
    `isReadOnly` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`

### setValue

    public void setValue(javax.faces.context.FacesContext context,
                         java.lang.Object value)
                  throws javax.faces.el.EvaluationException

  Specified by:
    `setValue` in class `javax.faces.el.ValueBinding`
  Throws:
    `javax.faces.el.EvaluationException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### getExpression

    public javax.el.ValueExpression getExpression()

### setExpression

    public void setExpression(javax.el.ValueExpression expression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.